// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package algo.pricing;

public interface IPricing {
	public static final int STATUS_REINER_LAUFWEG = 20;
	public static final int STATUS_KURZSTRECKE = 12;
	public static final int STATUS_OK_ZZGL_DB = 11; // Wenn zu dem Preis des Verkehrsverbundes noch DB dazu kommt.
	public static final int STATUS_OK = 10;
	public static final int STATUS_NICHT_INITIALISIERT = 0;
	public static final int STATUS_FEHLERHAFT = -1;
	
	public String getPreisErwachsener();
	public String getInfoText();
	public int getStatus();
}
