// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.items;

import model.RoutenAbschnitt;

public class ItemDetailWartezeit extends ItemDetailAbstractLaufwegWartezeit {
	private final RoutenAbschnitt abschnitt_vorher;
	private final RoutenAbschnitt abschnitt_nachher;
	public ItemDetailWartezeit(RoutenAbschnitt abschnitt_vorher, RoutenAbschnitt abschnitt_nachher) {
		this.abschnitt_vorher = abschnitt_vorher;
		this.abschnitt_nachher = abschnitt_nachher;
	}
	public String getText() {
		String text = "zum Umsteigen";
		return text;
		
	}
	public int getZeit() {
		int umsteigeZeit = abschnitt_nachher.getAbfahrtsZeit() - abschnitt_vorher.getAnkunftsZeit();
		return umsteigeZeit;
	}
}
