// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.items;

import gui.Imager;
import gui.guis.Gui;

import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.Image;

public class ItemLocationDescriptionLastUsed extends ItemLocationDescription {

	public ItemLocationDescriptionLastUsed() {
		super("zuletzt Verwendet");
	}

	public int getHeight() {
		Image i = Imager.getZuletztVerwendet();
		return i.getHeight();
	}

	public int draw(Gui parent, Graphics g, int x, int y, boolean selected, int itemNo) {
		Image i = Imager.getZuletztVerwendet();
		g.drawImage(i, 0, y, Graphics.LEFT | Graphics.TOP);
		return i.getHeight();
	}

}
