// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.items;

import java.util.Vector;

public class RadioGroupManager {
	private final Vector items = new Vector();
	private int selectedItem;

	public RadioGroupManager(int selectedItem) {
		this.selectedItem = selectedItem;
	}
	
	public boolean isSelected(ItemRadiogroup itemOptionRadiogroup) {
		if (items.indexOf(itemOptionRadiogroup) == selectedItem) {
			return true;
		} else {
			return false;
		}
	}

	public void register(ItemRadiogroup itemOptionRadiogroup) {
		items.addElement(itemOptionRadiogroup);
	}

	public void setSelectedItem(ItemRadiogroup itemOptionRadiogroup) {
		selectedItem = items.indexOf(itemOptionRadiogroup);
	}

}
