// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package model;

public class Verkehrsmittel {

	/*
	 * !!! ACHTUNG !!! Never Ever-Zahlen hier verändern, da hier sogar Abhängigkeiten zur Datenbank
	 * existieren, höchstens eine alte nicht mehr verwenden und eine neue einführen.
	 */

	public static final short SBAHN = 0;
	public static final short UBAHN = 1;
	public static final short RBAHN = 2;
	public static final short BUS = 3;
	public static final short LAUFWEG = 4;
	public static final short TRAM = 5;
	public static final short NACHTBUS = 6;

	public static final char[] ANSCHLUSSTYP = { 'S', 'U', 'R', 'B', 'L', 'T', 'N' };
	public static final int[] VERKEHRSMITTEL_NUMMERN = { SBAHN, UBAHN, RBAHN, BUS, LAUFWEG, TRAM, NACHTBUS };
	public static final String[] VERKEHRSMITTEL_NAMEN = { "S-Bahn", "U-Bahn", "Regionalbahn", "Bus", "Laufweg", "Tram", "Nachtbus" };
}
