// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package control.reminder;

import gui.Manager;

import java.util.TimerTask;

import javax.microedition.lcdui.Display;

import model.Route;
import control.Pushandride;

public class ReminderTask extends TimerTask {

	private final Route route;

	public ReminderTask(Route route) {
		this.route = route;
	}

	public void run() {
		if (Reminder.showDebugData) {
			Reminder.printReminderData("fire Reminder");
		}
		Manager.reminderCallback(route);
		Display.getDisplay(Pushandride.getMidlet()).vibrate(1300);
		try {
			Thread.sleep(2000);
		} catch (Exception e) {
		}
		Display.getDisplay(Pushandride.getMidlet()).vibrate(1300);
		try {
			Thread.sleep(2000);
		} catch (Exception e) {
		}
	}

}
