// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.items;

import gui.Manager;
import gui.guis.Gui;
import gui.utils.GfxUtils;

import javax.microedition.lcdui.Graphics;


public class ItemSpace extends Item {
	private int itemHeight;

	public ItemSpace(int height) {
		this.itemHeight = height;
	}

	public int draw(Gui parent, Graphics g, int x, int y, boolean selected, int itemNo) {
		g.setColor(Manager.ITEMS_COLOR_BACKGROUND);

		GfxUtils.fillFullRectangle(g, y, itemHeight);

		return itemHeight;
	}

	public int getHeight() {
		return itemHeight;
	}

}
